logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

SetSceneTemplate

GET

https://metaworld-api.zego.im/

This feature has been discontinued

Express supports custom scene template configuration for logging into scenes with corresponding configurations. When the system's pre-configured templates cannot meet your business needs, you can create custom templates and set related parameters through this server API.

Warning

The limit for custom templates is 50, if you need more templates, please contact ZEGOCLOUD Technical Support.

Call frequency limit
All rooms under the same AppID are limited to 50 times/second
Note

In the test environment (see the IsTest common parameter description), the stream ID needs to be prefixed with "zegotest-AppId-". For example, if the stream ID is "test" and the AppId is "123456789" in the test environment, the stream ID should be "zegotest-123456789-test".

-------------------------------------------(RightUpX, RightUpZ)
|	                                                            |
|	                                                            |
|	                                                            |
|	                                                            |
(LeftBottomX, LeftBottomZ)-------------------------------------
Warning

After the template configuration is changed, scenes using this template will not take effect immediately. You need to wait for the scene to be destroyed (the scene will be automatically destroyed after all users exit for 10 minutes) and recreate it to take effect.

Request

Query Parameters

    Action stringrequired

    Possible values: [SetSceneTemplate]

    Interface prototype parameters

    https://metaworld-api.zego.im/?Action=SetSceneTemplate

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    AppId numberrequired

    App AppID.

    TemplateId numberrequired

    Template ID.

    LeftBottomX float

    Lower-left corner X coordinate of the map (see the figure above).

    LeftBottomZ float

    Lower-left corner Z coordinate of the map (see the figure above).

    RightUpX float

    Upper-right corner X coordinate of the map (see the figure above).

    RightUpZ float

    Upper-right corner Z coordinate of the map (see the figure above).

    MaxUserNum int32required

    Maximum number of users in the scene.

    ViewRadius int32required

    AOI radius (user view radius).

    MaxVisibleNum int32required

    AOI user limit

    The upper limit of the number of remote users visible in the local user's AOI range, with a maximum limit of 100 users.

Responses

Success
Schema
    Code int32

    Error codes. Only the return codes related to interface business logic are listed here. For the complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSolution
    340004003Template already exists.Set another template ID.
    340006003Parameter error.Set the correct request parameters according to the error prompt.
    Message string

    Error message description

    RequestId string

    Request ID

    Data objectnullable

    Return data content

Previous

GenerateIdentifyToken

Next

Callback Configuration Description

On this page

Back to top